## groovy.model
Class DefaultTableColumn

Represents a column using a ValueModel to extract the value.

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`ValueModel` | `valueModel`

Constructor Summary
`DefaultTableColumn(ValueModel valueModel)`
`DefaultTableColumn(Object header, ValueModel valueModel)`

Method Summary
`Class` | `getType()`
`Object` | `getValue(Object row, int rowIndex, int columnIndex)` Evaluates the value of a cell
`ValueModel` | `getValueModel()`
`void` | `setValue(Object row, Object value, int rowIndex, int columnIndex)`
`String` | `toString()`

Constructor Detail

### DefaultTableColumn

    public DefaultTableColumn(ValueModel valueModel)

### DefaultTableColumn

    public DefaultTableColumn(Object header, ValueModel valueModel)

Method Detail

### getType

    public Class getType()

  return:
    the column type

### getValue

    public Object getValue(Object row, int rowIndex, int columnIndex)

  Evaluates the value of a cell
  return:
    the value
  param:
    row the row of interest
  param:
    rowIndex the index of the row of interest
  param:
    columnIndex the column of interest

### getValueModel

    public ValueModel getValueModel()

### setValue

    public void setValue(Object row, Object value, int rowIndex, int columnIndex)

### toString

    public String toString()